function m=pdeprbm(t)
%PDEPRBM Mass matrix for PARABOLIC.

%       A. Nordmark 1-20-95.
%       Copyright (c) 1994-95 by The MathWorks, Inc.
%	$Revision: 1.3.1.1 $  $Date: 1995/08/14 15:05:14 $

global pdeprbht pdeprbMM pdeprbdt pdeprbp pdeprbt pdeprbd pdeprbN ...
       pdeprbb pdeprbe pdeprbB pdeprbpm

if pdeprbdt
  [unused,pdeprbMM]=assema(pdeprbp,pdeprbt,0,pdeprbd,zeros(pdeprbN,1),t);
end
if pdeprbht
  [unused,unused,H,unused]=assemb(pdeprbb,pdeprbp,pdeprbe,t);
  pdeprbB=pdenullorth(H);
end
m=pdeprbB'*pdeprbMM*pdeprbB;
m=m(:,pdeprbpm);
